+ Antworten
Ergebnis 1 bis 8 von 8
  1. #1
    Registriert seit
    May 2013
    Beiträge
    333

    Standard 4.1 Beta, Paket symcon wird zurückgehalten

    Hi,

    Bin auf Beta, ubuntu
    Dist-Upgrade durchgeführt.
    libcurl3 ist aktuell, aber symcon nicht aktualisiert.
    Neue Version verfügbar, Paket wird zurückgehalten.
    Auch erneutes update und dist-upgrade ohne Erfolg.

    Da passt was mit den Abhängigkeiten noch nicht.

    Gruß,
    Sebastian

  2. #2
    Registriert seit
    Mar 2016
    Beiträge
    14

    Die Abhängigkeiten im Paket sind vmtl. falsch.

    volkmar@fhem:~$ apt show symcon -a
    Package: symcon
    Version: 4.1-531
    Priority: optional
    Section: misc
    Maintainer: Symcon GmbH <office@ip-symcon.de>
    Installed-Size: unknown
    Depends: libxml2, libssh2-1, curl, libcurl3, libcurl, libcurl33, libexpat1, libfreetype6, libjpeg8, libmcrypt4
    Download-Size: 16.1 MB
    APT-Sources: http://apt.symcon.de beta/ubuntu amd64 Packages
    Description: IP-Symcon

    Package: symcon
    Version: 4.1-530
    Status: install ok installed
    Priority: optional
    Section: misc
    Maintainer: Symcon GmbH <office@ip-symcon.de>
    Installed-Size: unknown
    Depends: libxml2, libssh2-1, curl, libcurl3, libexpat1, libfreetype6, libjpeg8, libmcrypt4
    Download-Size: unknown
    APT-Manual-Installed: yes
    APT-Sources: /var/lib/dpkg/status
    Description: IP-Symcon

    Es gibt m.w. keine libcurl33.


    Bitte paresy einmal das deb Paket überprüfen.

    Mit freundlichen Grüßen
    Volkmar

  3. #3
    Registriert seit
    Sep 2014
    Ort
    Limeshain (Hessen)
    Beiträge
    5,294

    Auch bei der aktuellen Stable stimmt was mit den Abhängigkeiten nicht...bei meinem Live-System wird das Update ebenfalls zurückgehalten:

    Code:
    # lsb_release -a
    No LSB modules are available.
    Distributor ID: Debian
    Description:    Debian GNU/Linux 8.6 (jessie)
    Release:        8.6
    Codename:       jessie
    Code:
    # apt-get upgrade
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Paketaktualisierung (Upgrade) wird berechnet... Fertig
    Die folgenden Pakete sind zurückgehalten worden:
      symcon
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
    Code:
    # apt show symcon -a
    Package: symcon
    Version: 4.1-533
    Maintainer: Symcon GmbH <office@ip-symcon.de>
    Depends: libxml2, libssh2-1, curl, libcurl3, libexpat1, libfreetype6, libjpeg8, libmcrypt4
    Download-Size: 16,1 MB
    Section: misc
    Priority: optional
    Installed-Size: unbekannt
    APT-Sources: http://apt.ip-symcon.de/ stable/ubuntu amd64 Packages
    Description: IP-Symcon
    
    Package: symcon
    Status: install ok installed
    Priority: optional
    Section: misc
    Maintainer: Symcon GmbH <office@ip-symcon.de>
    Version: 4.0-401
    Depends: libxml2, libssh2-1, curl, libexpat1, libfreetype6, libjpeg62, libmcrypt4
    Installed-Size: unbekannt
    Download-Size: unbekannt
    APT-Manual-Installed: yes
    APT-Sources: /var/lib/dpkg/status
    Description: IP-Symcon



    Sollte damit in Verbindung stehen:
    Code:
    # apt-get install libjpeg8
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Package libjpeg8 is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    
    E: Package 'libjpeg8' has no installation candidate

    -Chris-
    Geändert von Bayaro (10.01.17 um 06:52 Uhr)
    IP-Symcon Module >> www.bayaro.net << Verfügbare Module: BatterieMonitor, BundesligaTabelle, Enigma2BY, HeizölPreise, Helios, Horoskop, HostMonitor, IPSInformations, MELCloud, Müllabfuhr, PJLink, RSS, TankerkönigSpritpreise, xREL
    IPS Unlimited, ~1200 Scripte, ~7000 Variablen

  4. #4
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,235

    Welche Ubuntu Version hast du installiert? Oder sehe ich richtig, dass du versuchst es unter Debian (64Bit) laufen zu lassen?

    paresy

  5. #5
    Registriert seit
    Sep 2014
    Ort
    Limeshain (Hessen)
    Beiträge
    5,294

    Standard 4.1 Beta, Paket symcon wird zurückgehalten

    Ich hatte damals auf deinen Wunsch hin Debian installiert, damit ich dir einen Fehler debuggen konnte...du erinnerst dich?

    Es läuft also seit damals wunderbar (bis jetzt) auf dem Debian...

    -Chris-
    IP-Symcon Module >> www.bayaro.net << Verfügbare Module: BatterieMonitor, BundesligaTabelle, Enigma2BY, HeizölPreise, Helios, Horoskop, HostMonitor, IPSInformations, MELCloud, Müllabfuhr, PJLink, RSS, TankerkönigSpritpreise, xREL
    IPS Unlimited, ~1200 Scripte, ~7000 Variablen

  6. #6
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,235

    Hm. Leider wird das unter Debian aber nichts mit IP-Symcon 4.1, da die Jungs von Ubuntu andere Pakete für libjpeg nutzen als Debian. Da wir für Ubuntu 16.04 bauen, kann Debian die Abhängigkeiten natürlich nicht mehr finden. Diese Problem lässt sich (außer einem extra Build für Debian) nicht lösen.

    paresy

  7. #7
    Registriert seit
    Sep 2014
    Ort
    Limeshain (Hessen)
    Beiträge
    5,294

    Hauptsache ich hab damals wegen dir Debian installiert Dann werde ich mal auf Ubuntu umziehen...

    -Chris-
    IP-Symcon Module >> www.bayaro.net << Verfügbare Module: BatterieMonitor, BundesligaTabelle, Enigma2BY, HeizölPreise, Helios, Horoskop, HostMonitor, IPSInformations, MELCloud, Müllabfuhr, PJLink, RSS, TankerkönigSpritpreise, xREL
    IPS Unlimited, ~1200 Scripte, ~7000 Variablen

  8. #8
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,235

    Da mussten wir testen. So ganz spezielle Debian Dinge. Diesmal musst du ganz speziell Ubuntu 16.04 testen. Na wenn das kein Ansporn ist

    paresy

Ähnliche Themen

  1. IP-Symcon 3.4 Beta (#3804)
    Von paresy im Forum Allgemeine Diskussion (2.x/3.x)
    Antworten: 1
    Letzter Beitrag: 17.05.17, 13:34
  2. Paket zurückgehalten: symcon
    Von PeterChrisben im Forum Allgemeine Diskussion
    Antworten: 4
    Letzter Beitrag: 14.07.15, 22:11
  3. symcon - Paket wurde zurückgehalten
    Von gogo20012002 im Forum Allgemeine Diskussion
    Antworten: 7
    Letzter Beitrag: 02.04.15, 16:42
  4. Probleme symcon Paket?
    Von BerndJ im Forum Allgemeine Diskussion
    Antworten: 4
    Letzter Beitrag: 16.02.15, 10:04